> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Allowlist Items

> Retrieve a list of paginated allowlist entries.

### Required API key scope
- Orders




## OpenAPI

````yaml get /allowlists
openapi: 3.1.0
info:
  title: Listings API
  description: >-
    Loop Listings can be utilized to allow exceptions and prevent returns in
    specific situations. This API can be used to manage your shop's listings.
  version: v1
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Blocklist
  - name: Allowlist
paths:
  /allowlists:
    get:
      tags:
        - Allowlist
      summary: List Allowlist Items
      description: |
        Retrieve a list of paginated allowlist entries.

        ### Required API key scope
        - Orders
      operationId: listAllowlistItems
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedAllowlistResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
      security:
        - api_key: []
components:
  schemas:
    PaginatedAllowlistResponse:
      type: object
      properties:
        data:
          type: array
          description: The data for each entry in the allowlist.
          items:
            $ref: '#/components/schemas/AllowlistEntryWithCreatedAtResponse'
        links:
          type: array
          description: An array of links to each page.
          items:
            $ref: '#/components/schemas/PaginatedAllowlistLink'
        next_page_url:
          type:
            - string
            - 'null'
          description: The link to the next page of paginated results.
          examples:
            - https://api.loopreturns.com/api/v1/allowlists?page=2
        current_page:
          type: integer
          description: The identifier associated with the current page.
          examples:
            - 1
        from:
          type:
            - string
            - 'null'
          description: The number of the first allowlist entry on the page.
          examples:
            - 1
        first_page_url:
          type:
            - string
            - 'null'
          description: The link to the first page of paginated results.
          examples:
            - https://api.loopreturns.com/api/v1/allowlists?page=1
        last_page:
          type:
            - string
            - 'null'
          description: The identifier associated with the last page.
          examples:
            - 2
        last_page_url:
          type:
            - string
            - 'null'
          description: The link to the last page of paginated results.
          examples:
            - https://api.loopreturns.com/api/v1/allowlists?page=2
        path:
          type:
            - string
            - 'null'
          description: The endpoint's path.
          examples:
            - https://api.loopreturns.com/api/v1/allowlists
        per_page:
          type: integer
          description: The number of allowlist entries per page.
          examples:
            - 15
        prev_page_url:
          type:
            - string
            - 'null'
          description: The link to the previous page of paginated results.
        to:
          type:
            - integer
            - 'null'
          description: The number of the last allowlist entry on the page.
          examples:
            - 15
        total:
          type: integer
          description: The total number of allowlist entries returned.
          examples:
            - 20
    UnauthorizedResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              examples:
                - '401'
            http_code:
              type: string
              examples:
                - GEN-UNAUTHORIZED
            message:
              type: string
              examples:
                - Unauthorized.
    AllowlistEntryWithCreatedAtResponse:
      type: object
      properties:
        id:
          type: integer
          examples:
            - 1
          description: The unique identifier associated with the allowlist entry.
        type:
          $ref: '#/components/schemas/AllowlistValueType'
        value:
          type: string
          examples:
            - example@example.com
          description: >-
            The allowed value. Returns made using this value will override any
            other return ineligibility.
        created_at:
          type:
            - string
            - 'null'
          examples:
            - '2023-06-09 00:00:00'
          description: The date and time at which the entry was created.
    PaginatedAllowlistLink:
      type: object
      properties:
        url:
          type: string
          description: The link to a page.
          examples:
            - https://api.loopreturns.com/api/v1/allowlists?page=1
        label:
          type: string
          description: >-
            The page's label, used to store either page numbers or previous/next
            page data.
          examples:
            - 1
            - « Previous
            - Next »
        active:
          type: boolean
          description: Whether the page is active.
          examples:
            - true
            - false
    AllowlistValueType:
      type: string
      description: >-
        The type of value allowed by this allowlist entry. `order` is the order
        number of the allowed order and `email` is the customer's email address.
      enum:
        - order
        - email
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Authorization
      in: header

````